
string_null=""
string1="alma"

#Null string
if [ $string_null -n ]
then
        echo "nem null sztring"
else
        echo "null sztring"
fi
 
#Null sztirng
if [ $string_null -z ]
then
        echo "null sztring"
else
        echo "nem null sztring"
fi
 
#Egyenloseg
if [ "$string_null" == "$string1" ]
then
        echo "sztringek egyenlok"
else
        echo "sztringek nem egyenlok"
fi

#Nem egyenlo
if [ "$string_null" != "$string1" ]
then
        echo "sztringek nem egyenlok"
else
        echo "stringek egyenlok"
fi
